# Class JWidgetApi

#### Hierarchy (View Summary)

- JBaseApi
  - JWidgetApi

- Defined in jamespot-user-api/src/apis/widget/widget.ts:10

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

checkListGetResponse
checkListRespond
getWidget
presenceCancel
presenceGetResponse
presenceGetResponseUserList
presenceRespond
quickSurveyAddEnty
quickSurveyGetResponse
quickSurveyGetResponseUserList
quickSurveyRespond
removeWidget
responseUserList
updateWidget

## Constructors

### constructor

- new JWidgetApi(jApi: JamespotUserApi): JWidgetApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JWidgetApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### checkListGetResponse

- checkListGetResponse(
  __namedParameters: { uniqid: string; uri: string },
  ): Promise<ApiWrapper<WidgetCheckListType, BaseMessages>>

  #### Parameters

  - __namedParameters: { uniqid: string; uri: string }

  #### Returns Promise<ApiWrapper<WidgetCheckListType, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:71

### checkListRespond

- checkListRespond(
  __namedParameters: {
  id?: number;
  idUser?: number;
  index: number;
  type?: string;
  uniqid: string;
  uri?: string;
  },
  ): Promise<ApiWrapper<[], BaseMessages>>

  #### Parameters

  - __namedParameters: {
    id?: number;
    idUser?: number;
    index: number;
    type?: string;
    uniqid: string;
    uri?: string;
    }

  #### Returns Promise<ApiWrapper<[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:53

### getWidget

- getWidget<T = CombinedWidgetType>(
  __namedParameters: { uniqid: string; uri: string },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<T, BaseMessages>>

  #### Type Parameters

  - T = CombinedWidgetType

  #### Parameters

  - __namedParameters: { uniqid: string; uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<T, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:40

### presenceCancel

- presenceCancel(
  __namedParameters: { uniqid: string; uri: string },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - __namedParameters: { uniqid: string; uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:100

### presenceGetResponse

- presenceGetResponse(
  __namedParameters: { uniqid: string; uri: string },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<WidgetPresenceResponse, BaseMessages>>

  #### Parameters

  - __namedParameters: { uniqid: string; uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<WidgetPresenceResponse, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:113

### presenceGetResponseUserList

- presenceGetResponseUserList(
  __namedParameters: {
  index: number;
  limit?: number;
  page?: number;
  uniqid: string;
  uri: string;
  },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<WidgetPresenceResponseUserList, BaseMessages>>

  #### Parameters

  - __namedParameters: { index: number; limit?: number; page?: number; uniqid: string; uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<WidgetPresenceResponseUserList, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:209

### presenceRespond

- presenceRespond(
  __namedParameters: {
  id?: number;
  type?: string;
  uniqid: string;
  uri?: string;
  value: number;
  },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<[], BaseMessages>>

  #### Parameters

  - __namedParameters: { id?: number; type?: string; uniqid: string; uri?: string; value: number }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:81

### quickSurveyAddEnty

- quickSurveyAddEnty(
  __namedParameters: {
  label: string;
  responseUuid?: string;
  uniqid: string;
  uri: string;
  },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - __namedParameters: { label: string; responseUuid?: string; uniqid: string; uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:139

### quickSurveyGetResponse

- quickSurveyGetResponse(
  __namedParameters: { uniqid: string; uri: string },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<WidgetQuickSurveyResponse, BaseMessages>>

  #### Parameters

  - __namedParameters: { uniqid: string; uri: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<WidgetQuickSurveyResponse, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:126

### quickSurveyGetResponseUserList

- quickSurveyGetResponseUserList(
  __namedParameters: {
  index: number;
  limit?: number;
  page?: number;
  responseUuid?: string;
  uniqid: string;
  uri: string;
  },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<WidgetQuickSurveyResponseUserList, BaseMessages>>

  #### Parameters

  - __namedParameters: {
    index: number;
    limit?: number;
    page?: number;
    responseUuid?: string;
    uniqid: string;
    uri: string;
    }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<WidgetQuickSurveyResponseUserList, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:185

### quickSurveyRespond

- quickSurveyRespond(
  __namedParameters: {
  id?: number;
  index: number;
  multi: number;
  responseUuid?: string;
  type?: string;
  uniqid: string;
  uri?: string;
  },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<[], BaseMessages>>

  #### Parameters

  - __namedParameters: {
    id?: number;
    index: number;
    multi: number;
    responseUuid?: string;
    type?: string;
    uniqid: string;
    uri?: string;
    }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:159

### removeWidget

- removeWidget(
  __namedParameters: { id: number; type: string; uniqid: string },
  ): Promise<ApiWrapper<[], BaseMessages>>

  #### Parameters

  - __namedParameters: { id: number; type: string; uniqid: string }

  #### Returns Promise<ApiWrapper<[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:16

### responseUserList

- responseUserList(
  uri: string,
  uniqid: string,
  page: number,
  ): Promise<ApiWrapper<jUserLittle[], BaseMessages>>

  #### Parameters

  - uri: string
  - uniqid: string
  - page: number

  #### Returns Promise<ApiWrapper<jUserLittle[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:12

### updateWidget

- updateWidget<T = CombinedWidgetType>(
  __namedParameters: {
  content: Partial<CombinedWidgetContent>;
  id?: number;
  title?: string;
  type?: string;
  uniqid: string;
  uri?: string;
  v2?: boolean;
  },
  ): Promise<
  ApiWrapper<Pick<WidgetWrapperGeneric<T>, "widget">[], BaseMessages>,
  >

  #### Type Parameters

  - T = CombinedWidgetType

  #### Parameters

  - __namedParameters: {
    content: Partial<CombinedWidgetContent>;
    id?: number;
    title?: string;
    type?: string;
    uniqid: string;
    uri?: string;
    v2?: boolean;
    }

  #### Returns Promise<ApiWrapper<Pick<WidgetWrapperGeneric<T>, "widget">[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/widget/widget.ts:20